pub mod config;
mod gene_tree;
pub mod genes_forest;
pub mod interner;
mod io;
pub mod it_mean;
mod learn;
mod lexer;
mod model;
mod optim;
mod tree;
mod output;

pub use config::{Config, Filters};
pub use gene_tree::{
    extract_local_triplet,
    topological_analysis::{self, TopologicalAnalysis},
    triplet::GeneTriplet,
    BranchLength, GeneTree,
};
pub use genes_forest::{filter::imbalance, GenesForest};
pub use learn::optimize_likelihood;
pub use model::{likelihood::ln_likelihood, Parameters};

pub const VERSION: &str = env!("CARGO_PKG_VERSION");
